Rex::Commands::Download(3pm)

NAME
Rex::Commands::Download - Download remote files

DESCRIPTION
With this module you can download a remotefile via sftp, http and ftp from a host to your local computer.

Version <= 1.0: All these functions will not be reported.

SYNOPSIS
 # sftp
 task "download", "remoteserver", sub {
   download "/remote/file", "localfile";
 };

 # http
 task "download2", sub {
   download "http://server/remote/file";
 };

EXPORTED FUNCTIONS

  download($remote, [$local])
Perform a download. If no local file is specified it will download the file to the current directory.

 task "download", "remoteserver", sub {
   download "/remote/file", "localfile";
 };

 task "download", sub {
   download "http://www.rexify.org/index.html", "localfile.html";
 };